#
# spec file for package cciss_vol_status
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cciss_vol_status
Version:        1.12
Release:        lp150.1.3
Summary:        HP Smart Array Status Reporting Tool
License:        GPL-2.0-or-later
Group:          Hardware/Other
URL:            http://cciss.sourceforge.net/
Source:         https://sourceforge.net/projects/cciss/files/cciss_vol_status/cciss_vol_status-%{version}.tar.gz
Patch0:         cciss_vol_status-fix_array_access_out_of_bounds.patch

%description
A very lightweight program to report the status of logical drives on HP
Smart Array controllers and also fibre channel attached MSA1000.

%prep
%autosetup

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/cciss_vol_status
%{_mandir}/man8/cciss_vol_status.8%{?ext_man}

%changelog
* Tue Apr 10 2018 mpluskal@suse.com
- Update to version 1.12:
  * Added support for new controllers
  * Added print out of Total Cache Memory and Cache ratio
  * Added RAID 1 ADM
* Fri Jul  5 2013 pascal.bleser@opensuse.org
- update to 1.11
* Fri Jul 23 2010 pascal.bleser@opensuse.org
- initial package (1.06)
